Table of Contents

Class GetEncodedResponseCommandResponse

Namespace
OpenQA.Selenium.DevTools.V146.Audits
Assembly
Selenium.WebDriver.dll

Response for Returns the response body and size if it were re-encoded with the specified settings. Only applies to images.

public sealed class GetEncodedResponseCommandResponse : ICommandResponse<GetEncodedResponseCommandSettings>, ICommandResponse
Inheritance
GetEncodedResponseCommandResponse
Implements
Inherited Members
Extension Methods

Properties

Body

The encoded body as a base64 string. Omitted if sizeOnly is true.

[JsonPropertyName("body")]
[JsonIgnore(Condition = JsonIgnoreCondition.WhenWritingDefault)]
public string? Body { get; set; }

Property Value

string

EncodedSize

Size after re-encoding.

[JsonPropertyName("encodedSize")]
public long EncodedSize { get; set; }

Property Value

long

OriginalSize

Size before re-encoding.

[JsonPropertyName("originalSize")]
public long OriginalSize { get; set; }

Property Value

long